import { FileHelper } from '@start9labs/start-sdk'
import { Volume } from '@start9labs/start-sdk/package/lib/util/Volume'
import { z } from 'zod'

const mainVolume = new Volume('main')

export const configFile = FileHelper.json(
  {
    base: mainVolume,
    subpath: 'config/startos-config.json',
  },
  z.object({
    gemini_api_key: z.string().default(''),
  }),
)
